Sat. Jun 8th, 2024

[ad_1]

  • Goerli blobs are here: Dencun went live on Goerli at 6:32 UTC on January 17, 2024. You can now use blobs there!
  • Sepolia and Holesky will upgrade over the next two weeks. Dencun will activate on Sepolia at epoch 132608 (January 30th, 22:51 UTC), and on Holesky at epoch 29696 (February 7th, 11:35 UTC).
  • Client releases in this announcement are suitable for both testnet upgrades.
  • Assuming the Sepolia and Holesky upgrades go well, Dencun will be scheduled on the Ethereum mainnet next.
  • To receive an email alert for network upgrade announcements, including the Dencun mainnet one, subscribe here.


The Dencun network upgrade has successfully activated on the Goerli testnet on January 17, 2024. It is now scheduled for the two remaining testnets, Sepolia and Holesky, at the following times:


The upgrade includes several changes, most notably the introduction of ephemeral data blobs with EIP-4844, also known as “protodanksharding”, which will help reduce L2 transaction fees.

Dencun follows last year’s Shapella upgrade. It will first be deployed to Ethereum testnets. Once these all are smoothly running the upgrade, Dencun will be scheduled for deployment on the Ethereum mainnet.

Upgrade Specification

The Dencun upgrade combines changes to both Ethereum’s consensus and execution layers. The full list of protocol changes can be found in EIP-7569. For reference, they are:


Deneb

Complete python specifications for changes affecting Ethereum’s consensus layer can be found in the deneb folder of the ethereum/consensus-specs repository.

Cancun

The EIPs linked above contain the full specifications for changes affecting Ethereum’s execution layer.

Additionally, a python specification for these is being implemented in the ethereum/execution-specs repository.

Lastly, Deneb requires changes to the Engine API, used for communication between the consensus and execution layer nodes. These are specified in the cancun.md file of the ethereum/execution-apis repository.

Client Releases

The following client releases support Dencun on both Sepolia and Holesky. Further versions will activate support on mainnet. Once these are released, another announcement will be made on this blog.

When choosing which client to run, validators should be especially mindful of the risks of running a majority client on either the execution layer (EL) or consensus layer (CL). An explainer of these risks and their consequences can be found here. An estimate of current EL and CL client distribution and guides for switching from one client to another can be found here.

Consensus Layer Sepolia & Holesky Releases


Note: when running a validator, both the Consensus Layer Beacon Node and Validator Client must be updated.

Execution Layer Sepolia & Holesky Releases


Note: while Reth supports Dencun, the client is still pending a full audit and is not recommended for production use. See the Reth README for more context.

FAQ

As an Ethereum user or Ether holder, is there anything I need to do?

In short, no.

If you use an exchange, digital wallet or hardware wallet you do not need to do anything unless you are informed to take additional steps by your exchange or wallet provider.

If you run your own Ethereum node, see the next question.

As a non-staking Sepolia or Holesky node operator, what do I need to do?

To be compatible with the upgrade on either testnet, update your node’s execution and consensus layer clients to the versions listed in the table above.

As a Sepolia or Holesky staker, what do I need to do?

To be compatible with the upgrade on either testnet, update your node’s execution and consensus layer clients to the versions listed in the table above. Make sure both your beacon node and validator client are updated.

As a non-Sepolia or Holesky node operator or staker, what do I need to do?

Nothing for now. Further announcements will be made for Dencun’s activation on mainnet. You can sign up to receive an email alert for them here.

Stakers who want to run through the upgrade process more times before mainnet are encouraged to use ephemery.dev, which now supports Dencun.

What happens if I am a Sepolia or Holesky staker or node operator and I do not participate in the upgrade?

If you are using an Ethereum client that is not updated to the latest version (listed above), your client will sync to the pre-fork blockchain once the upgrade occurs.

You will be stuck on an incompatible chain following the old rules and will be unable to send Ether or operate on the post-Dencun Ethereum network.

As an application or tooling developer, what should I do?

Review the EIPs included in Dencun to determine if and how they affect your project — there are many new exciting features being introduced across both the execution and consensus layers! The only EIPs with backwards compatibility implications are EIP-6780, EIP-7044 and EIP-7514.

Why “Dencun”?

Upgrades to the consensus layer use star names, and those to the execution layer follow Devcon city names. “Dencun” is the combination of Deneb, a first-magnitude star in the Cygnus constellation, and Cancun, the location for Devcon 3.


Original cover image by Darren Lawrence, with modifications by Tomo Saito.



[ad_2]

Source link

By auto

Leave a Reply

Your email address will not be published. Required fields are marked *